{+-----------------------------------------------------------------------------+
 | Class:       TMyPlugin
 | Created:     01/04/2000
 | Author:      Eli Yukelzon a.k.a Fulgore
 | Description: Plugin Sample Template
 | Version:     0.0.1
 | Copyright (c) 2000 Eli Yukelzon a.k.a Fulgore
 | All rights reserved.
 |
 | Thanks to: Tobin Schwaiger-Hastanan
 +----------------------------------------------------------------------------+}
unit myclass;

interface
uses uBase;
type
 TMyPlugIn = class (TBasePlugIn)
 protected
 public
  function GetPlugInName:string; override;
  // the functions below should be taken from base class and
  // overriden, so that functions would work...
  function ProcessFile(FileName:string):string; override;
 end;

 TMyPlugIn2 = class (TBasePlugIn)
 protected
 public
  function GetPlugInName:string; override;
  function ProcessFile(FileName:string):string; override;
 end;

implementation
//************************************************************************** */
// Plugin interface...
//************************************************************************** */

function TMyPlugIn.GetPlugInName:string;
begin
result:='MyPlugin1';
end;

function TMyPlugIn.ProcessFile(FileName: string): string;
begin
result:='testing on '+Filename;
end;

{ TMyPlugIn2 }

function TMyPlugIn2.GetPlugInName: string;
begin
result:='MyPlugin2';
end;

function TMyPlugIn2.ProcessFile(FileName: string): string;
begin
result:='testing on '+Filename;
end;

end.
